### A free/open-source library for quantitative finance

Public Member Functions | Protected Attributes
InterestRateVolSurface Class Reference

Interest rate volatility (smile) surface. More...

`#include <ql/experimental/volatility/interestratevolsurface.hpp>`

Inheritance diagram for InterestRateVolSurface:
[legend]

List of all members.

## Public Member Functions

const boost::shared_ptr < InterestRateIndex > & | index () const
Constructors
See the TermStructure documentation for issues regarding constructors.
| InterestRateVolSurface (const boost::shared_ptr< InterestRateIndex > &, const Calendar &cal, BusinessDayConvention bdc=Following, const DayCounter &dc=DayCounter())
| InterestRateVolSurface (const boost::shared_ptr< InterestRateIndex > &, BusinessDayConvention bdc=Following, const DayCounter &dc=DayCounter())
| InterestRateVolSurface (const boost::shared_ptr< InterestRateIndex > &, const Date &referenceDate, const Calendar &cal=Calendar(), BusinessDayConvention bdc=Following, const DayCounter &dc=DayCounter())
| initialize with a fixed reference date
| InterestRateVolSurface (const boost::shared_ptr< InterestRateIndex > &, Natural settlementDays, const Calendar &, BusinessDayConvention bdc=Following, const DayCounter &dc=DayCounter())
| calculate the reference date based on the global evaluation date
VolatilityTermStructure interface
Date | optionDateFromTenor (const Period &) const
| period/date conversion
Visitability
virtual void | accept (AcyclicVisitor &)

## Protected Attributes

boost::shared_ptr < InterestRateIndex > | index_

## Detailed Description

Interest rate volatility (smile) surface.

This abstract class defines the interface of concrete Interest rate volatility (smile) surfaces which will be derived from this one.

Volatilities are assumed to be expressed on an annual basis.

## Constructor & Destructor Documentation

InterestRateVolSurface | ( | const boost::shared_ptr< InterestRateIndex > & | ,
|  | const Calendar & | cal,
|  | BusinessDayConvention | bdc = `Following`,
|  | const DayCounter & | dc = `DayCounter()`
| ) |  |

Warning:
  term structures initialized by means of this constructor must manage their own reference date by overriding the referenceDate() method.

InterestRateVolSurface | ( | const boost::shared_ptr< InterestRateIndex > & | ,
|  | BusinessDayConvention | bdc = `Following`,
|  | const DayCounter & | dc = `DayCounter()`
| ) |  |

Warning:
  term structures initialized by means of this constructor must manage their own reference date by overriding the referenceDate() method.